extends Node2D
class_name EncounterParentName

func _process(delta: float) -> void:
	var children = get_children()
	for child in children:
		if child.activating_timer <= 0:
			modulate = Color.WHITE
			return
			
	modulate = Color.DIM_GRAY
